#
# spec file for package regexx (Version 0.97)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  gpp libgpp
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gpp gppshare grep groff gzip kbd less libgpp libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         regexx
Version:      0.97
Release:      81
Summary:      PERL-like regular expressions for C++
Copyright:    LGPL
URL:          http://bazar.conectiva.com.br/~niemeyer/projects/
Group:        Development/Libraries
Autoreqprov:  on
Source:       http://download.sourceforge.net/regexx/regexx-%{version}.tar.bz2
Patch:        regexx-%{version}.dif
BuildRoot:    %{_tmppath}/%{name}-root

%description 
Regexx is a complete Regular Expressions C++ solution. It
implements easy expression execution, global searching,
replace with atom substitution, customized replaces,
easy match and atom strings retrieving. It's also included
in the library functions to split strings with strings or
regular expressions.

Authors:
--------
    Gustavo Niemeyer <gustavo@nn.com.br>

SuSE series: d

%prep
%setup -n %{name}-%{version}
%patch

%build
## update autotools (macro from /usr/lib/rpm/suse_macros)
DIR=$(find . -name configure -printf "%h\n")
%{?suse_update_config:%{suse_update_config -f $DIR }}
libtoolize --force
aclocal
automake
autoconf
rm -f config.cache
CFLAGS="$RPM_OPT_FLAGS" 
./configure --prefix=%{_prefix}
make

%install
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;
mkdir -p $RPM_BUILD_ROOT/%{_prefix}/lib
mkdir -p $RPM_BUILD_ROOT/%{_prefix}/include
make DESTDIR=$RPM_BUILD_ROOT install
libtool --finish $RPM_BUILD_ROOT/usr/lib

%clean
rm -rf $RPM_BUILD_ROOT

%files 
/usr/include/regexx.hh
/usr/include/split.hh
/usr/lib/libregexx.*
%doc AUTHORS INSTALL COPYING NEWS README TODO ChangeLog 
%doc examples/simple.cc

%changelog -n regexx
* Mon Jun 18 2001 - schwab@suse.de
- Fix missing std:: prefix.
* Mon Jun 11 2001 - poeml@suse.de
- use 'libtoolize --force' due to new autotools
- do an ldconfig via 'libtool --finish'
- spec file cleanup
* Thu May 10 2001 - poeml@suse.de
- bzip2 sources
* Mon Mar 26 2001 - ro@suse.de
- fixed buildrooting
* Wed Feb 28 2001 - poeml@suse.de
- spec file cleanup
* Tue Feb 27 2001 - poeml@suse.de
- create package
